tapestry-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christian Köberl (JIRA) <j...@apache.org>
Subject [jira] Updated: (TAP5-713) Change template parser to not use STAX, as it is not (yet) compatible with Google App Engine
Date Tue, 08 Sep 2009 05:58:57 GMT

     [ https://issues.apache.org/jira/browse/TAP5-713?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Christian Köberl updated TAP5-713:
----------------------------------

    Attachment: SaxTemplateParserImpl.java

Here's the newest version of SaxTemplateParserImpl. I fixed the mustBeRoot check - DTD tokens
are allowed before root element.

> Change template parser to not use STAX, as it is not (yet) compatible with Google App
Engine
> --------------------------------------------------------------------------------------------
>
>                 Key: TAP5-713
>                 URL: https://issues.apache.org/jira/browse/TAP5-713
>             Project: Tapestry 5
>          Issue Type: Improvement
>          Components: tapestry-core
>    Affects Versions: 5.1.0.5
>            Reporter: Howard M. Lewis Ship
>         Attachments: SaxTemplateParserImpl.java, SaxTemplateParserImpl.java, SaxTemplateParserImpl.java,
SaxTemplateParserImpl.java, SaxTemplateParserImpl.java
>
>
> The StAX APIs are not on the GAE "white list".
> Should be reasonable ot change the code, by using a SAX parser that parses the template
into a list of tokens, and then iterate down the token list as we do today using StAX.  End
result will be fewer dependencies to boot.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message